body { padding: 0; margin: 0 }
#unity-container { position: fixed; width: 100%; height: 100% }
#unity-canvas { background: #004494; width: 100%; height: 100% }
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none }

@keyframes rotate360 {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

#unity-logo {
    width: 256px;
    height: 256px;
    background: url('unity-logo.png') no-repeat center;
    background-size: contain;
    margin-bottom: 50px;
    animation: rotate360 20s linear infinite
}

#unity-logo-title { position: absolute; left: 50%; top: 37%; transform: translate(-50%, -50%); font-family: arial; font-size: 36px; font-weight: bold; text-align: center; color: white}
#unity-footer { position: relative; display: block; z-index: 9999999 }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }

.loader {
    width: 256px;
    height: 22px;
    border-radius: 20px;
    padding: 2px;
    color: #fbc900;
    border: 2px solid;
    position: relative;
    overflow: hidden;
}

.loader-fill {
    height: 100%;
    width: 0%;
    background-color: currentColor;
    border-radius: inherit;
    transition: width 0.2s ease;
}

#fullscreen-button {
    all: unset;
    position: absolute;
    top: 10px;
    right: 10px;
    background: url("Btnfullscreen.png");
    background-size: contain;
    width:  60px;
    height:  60px;
    cursor:  pointer;
}
